> ## Documentation Index
> Fetch the complete documentation index at: https://docs.guile.app/llms.txt
> Use this file to discover all available pages before exploring further.

# List a cursor page of payouts for the given business

> Page through cash-outs for this business with an opaque cursor.



## OpenAPI

````yaml /api-reference/Payouts/openapi.yaml get /businesses/{id}/payoutPages
openapi: 3.0.0
info:
  title: Payouts
  version: 0.1.0
  contact:
    name: Guile Engineering
    url: https://www.guile.app
    email: engineering@guile.app
  license:
    name: MIT
    url: https://opensource.org/license/mit
  description: |-
    Cash out a business's payment processor balance to a bank account (standard)
    or debit card (instant).
servers:
  - url: https://api.guile.app
    variables: {}
  - url: https://guile.fly.dev
    variables: {}
security: []
tags:
  - name: Payouts
    description: Cash out processor balance to a bank or debit card
paths:
  /businesses/{id}/payoutPages:
    get:
      tags:
        - Payouts
      summary: List a cursor page of payouts for the given business
      description: Page through cash-outs for this business with an opaque cursor.
      operationId: listPayoutPages
      parameters:
        - name: date
          in: query
          required: false
          description: Limit payouts based on this date range.
          schema:
            $ref: '#/components/schemas/dateRange'
          explode: false
        - name: state
          in: query
          required: false
          description: Limit payouts to the given payout states.
          schema:
            type: array
            items:
              $ref: '#/components/schemas/payoutState'
          explode: false
          style: pipeDelimited
        - name: method
          in: query
          required: false
          description: Limit payouts to the given payout methods.
          schema:
            $ref: '#/components/schemas/payoutMethod'
          explode: false
          style: pipeDelimited
        - name: pageSize
          in: query
          required: false
          description: The maximum number of results to return. Defaults to 20.
          schema:
            type: integer
            format: int16
            minimum: 1
            maximum: 100
            default: 20
          explode: false
        - name: pageToken
          in: query
          required: false
          description: |-
            Opaque cursor from a previous response's `nextPageToken`. When
            omitted, returns the first page.
          schema:
            type: string
          explode: false
        - name: id
          in: path
          required: true
          description: The identifier of the business to list payouts for.
          schema:
            $ref: '#/components/schemas/resourceId'
      responses:
        '200':
          description: |-
            Ok.
            The operation succeeded.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/payoutPage'
        '400':
          description: >-
            Bad Request.

            The request body, request headers, and/or query parameters are not
            well-formed.



            This problem response may have one of the following `type` values:

            *
            [https://docs.guile.app/problems/badRequest](https://docs.guile.app/problems/badRequest)
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/apiProblem'
        '401':
          description: >-
            Unauthorized.

            The operation requires authentication but no authentication or
            insufficient authentication was given.



            This problem response may have one of the following `type` values:

            *
            [https://docs.guile.app/problems/unauthorized](https://docs.guile.app/problems/unauthorized)
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/apiProblem'
        '403':
          description: >-
            Forbidden.

            The authenticated caller is not authorized to perform the requested
            operation.



            This problem response may have one of the following `type` values:

            *
            [https://docs.guile.app/problems/forbidden](https://docs.guile.app/problems/forbidden)
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/apiProblem'
        '422':
          description: >-
            Unprocessable Entity.

            The request body and/or query parameters were well-formed but
            otherwise invalid.



            This problem response may have one of the following `type` values:

            *
            [https://docs.guile.app/problems/unprocessableEntity](https://docs.guile.app/problems/unprocessableEntity)

            *
            [https://docs.guile.app/problems/ineligibleUserType](https://docs.guile.app/problems/ineligibleUserType)

            *
            [https://docs.guile.app/problems/paymentProviderNotSetup](https://docs.guile.app/problems/paymentProviderNotSetup)

            *
            [https://docs.guile.app/problems/payoutsDisabledByPaymentProvider](https://docs.guile.app/problems/payoutsDisabledByPaymentProvider)
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/apiProblem'
        '429':
          description: >-
            Too Many Requests.

            The client has sent too many requests in a given amount of time.



            This problem response may have one of the following `type` values:

            *
            [https://docs.guile.app/problems/tooManyRequests](https://docs.guile.app/problems/tooManyRequests)
          headers:
            Retry-After:
              required: true
              description: The number of seconds to wait before retrying the request.
              schema:
                type: integer
                format: uint32
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/apiProblem'
        '500':
          description: >-
            Internal Server Error.

            The server encountered an unexpected condition that prevented it
            from fulfilling the request.



            This problem response may have one of the following `type` values:

            *
            [https://docs.guile.app/problems/internalServerError](https://docs.guile.app/problems/internalServerError)
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/apiProblem'
      security:
        - BearerAuth: []
components:
  schemas:
    dateRange:
      type: string
      maxLength: 24
      pattern: >-
        ^(\d{4}-\d{2}-\d{2}|[\[(](\d{4}-\d{2}-\d{2},(\d{4}-\d{2}-\d{2})?|,\d{4}-\d{2}-\d{2})[)\]])$
      description: >-
        A date range, supporting inclusive or exclusive endpoints.

        Dates ranges use dates expressed in `YYYY-MM-DD` [RFC
        3339](https://tools.ietf.org/html/rfc3339)

        `date` format.

        The value may have the following forms:

        - `YYYY-MM-DD` match the date exactly; equivalent to matching dates in
        the range `[YYYY-MM-DD,YYYY-MM-DD]`

        - `[YYYY-MM-DD,YYYY-MM-DD]` between two dates, inclusive of the
        endpoints

        - `(YYYY-MM-DD,YYYY-MM-DD)` between two dates, exclusive of the
        endpoints

        - `[YYYY-MM-DD,]` on or after the date

        - `(YYYY-MM-DD,)` after the date

        - `[,YYYY-MM-DD]` before or on the date

        - `(,YYYY-MM-DD)` before the date


        Examples:

        - '2022-05-19'

        - '[2022-05-01,2022-05-31]'

        - '[2022-05-01,2022-06-01)'

        - '[2022-05-19,]'

        - '(2022-05-19,)'

        - '[,2022-05-19]'

        - '(,2022-05-19)'.
    payoutState:
      type: string
      enum:
        - pending
        - paid
        - failed
        - canceled
      description: The processing state for a payout.
    payoutMethod:
      type: string
      enum:
        - standard
        - instant
      description: |-
        The method used for the payout.
        Standard typically means T+2 days through ACH batch processing.
        Instant expediates payments for an additional processing fee.
        Instant payouts be be limited based on availability and other factors.
    resourceId:
      type: string
      description: >-
        The unique, opaque system identifier for a resource.

        This case-sensitive ID is also used as path parameters in URLs or in
        other

        properties or parameters that reference a resource by ID rather than
        URL.
    payoutPage:
      type: object
      required:
        - items
        - pageSize
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/payout'
          minItems: 0
        pageSize:
          type: integer
          format: int16
          minimum: 1
          description: The maximum number of results requested for this cursor page.
        nextPageToken:
          type: string
          description: >-
            Opaque token for the next page of results. Omitted on the final
            page.
      description: A cursor page of payouts.
    apiProblem:
      type: object
      required:
        - type
        - title
        - occurredAt
        - id
        - status
      properties:
        type:
          allOf:
            - $ref: '#/components/schemas/uri'
          description: A URI reference that identifies the problem type.
        title:
          type: string
          maxLength: 120
          description: >-
            A short, human-readable summary of the problem type. The title is
            usually the same for all

            problems with the same `type`.
        occurredAt:
          type: string
          format: date-time
          description: >-
            The date-time when this problem occurred, in [RFC
            3339](https://tools.ietf.org/html/rfc3339)

            date-time `YYYY-MM-DDThh:mm:ss.sssZ` format, UTC. This is derived
            and immutable.
        detail:
          type: string
          maxLength: 256
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem.
        id:
          allOf:
            - $ref: '#/components/schemas/resourceId'
          description: >-
            The unique identifier for this problem. This is an immutable opaque
            string.
        status:
          allOf:
            - $ref: '#/components/schemas/statusCode'
          description: >-
            The [HTTP status
            code](https://datatracker.ietf.org/doc/html/rfc7231#section-6)for
            this

            occurrence of the problem.
        instance:
          allOf:
            - $ref: '#/components/schemas/uri'
          maxLength: 2048
          description: >-
            A URI reference that identifies the specific occurrence of the
            problem. This is the URI of an

            API resource that the problem is related to, with a unique error
            correlation ID URI fragment.
        attributes:
          type: object
          additionalProperties: {}
          description: >-
            Additional optional attributes related to the problem. This data
            conforms to the schema

            associated with the error type.
        recovery:
          allOf:
            - $ref: '#/components/schemas/clientFailureRecovery'
          description: The recovery contract for this problem occurrence.
        problems:
          type: array
          items:
            $ref: '#/components/schemas/problem'
          maxItems: 128
          description: |-
            Optional root-causes if there are multiple problems in the request
            or API call processing.
      description: >-
        API problem or error response, as per

        [RFC 9457
        application/problem+json](https://tools.ietf.org/html/rfc9457).
    payout:
      type: object
      required:
        - id
        - occuredAt
        - amount
        - currencyCode
        - method
        - state
        - destination
        - createdAt
        - fee
      properties:
        id:
          allOf:
            - $ref: '#/components/schemas/resourceId'
          description: The identifier of the payout resource.
        occuredAt:
          type: string
          format: date-time
          description: |-
            The date-time when this payment occurred, in
            [RFC 3339](https://tools.ietf.org/html/rfc3339) date-time
            `YYYY-MM-DDThh:mm:ss.sssZ` format, UTC. This is derived and
            immutable.
        amount:
          allOf:
            - $ref: '#/components/schemas/money'
          description: The amount of money associated with this payout.
        currencyCode:
          type: string
          minLength: 3
          maxLength: 3
          description: >-
            The [ISO 4217 currency code](https://en.wikipedia.org/wiki/ISO_4217)
            for this monetary value.
          example: USD
        method:
          $ref: '#/components/schemas/payoutMethod'
        state:
          $ref: '#/components/schemas/payoutState'
        referenceId:
          type: string
          description: >-
            The value, if included, assigned by the financial institution for
            tracking purposes.
        destination:
          anyOf:
            - $ref: '#/components/schemas/baseFinancialAccountReference'
            - $ref: '#/components/schemas/businessCard'
          description: The destination account for the payout.
        failureCode:
          type: string
          description: When `state` is `failed`, this is the payment processor reason code.
        failureReason:
          type: string
          description: When `state` is `failed`, this is the human-readable reason.
        createdAt:
          type: string
          format: date-time
          description: |-
            The date-time when this payout was created, in
            [RFC 3339](https://tools.ietf.org/html/rfc3339) date-time
            `YYYY-MM-DDThh:mm:ss.sssZ` format, UTC. This is derived and
            immutable.
        fee:
          allOf:
            - $ref: '#/components/schemas/money'
          description: The fee associated with this payout.
          default: '0.00'
      description: >-
        A payout is a representation of a transfer from the payment processor
        financial account

        to the financial account of another entity, such as a barber or shop
        owner.
    uri:
      type: string
      maxLength: 1024
      format: uri
      description: A URI reference to an internal or external resource.
    statusCode:
      type: integer
      format: uint16
      minimum: 100
      maximum: 599
      description: The HTTP status code for a response.
    clientFailureRecovery:
      type: object
      required:
        - outcome
        - retry
      properties:
        outcome:
          allOf:
            - $ref: '#/components/schemas/clientFailureOutcome'
          description: The known outcome of the request.
        retry:
          allOf:
            - $ref: '#/components/schemas/clientRetryDirective'
          description: The safe retry action for the request.
        sessionAction:
          allOf:
            - $ref: '#/components/schemas/clientSessionAction'
          description: The session action required before the request can continue.
        rateLimit:
          allOf:
            - $ref: '#/components/schemas/rateLimit'
          description: The rate limit state that prevented the request.
      description: The recovery contract for a failed client request.
    problem:
      type: object
      required:
        - type
        - title
        - occurredAt
        - id
        - status
      properties:
        type:
          allOf:
            - $ref: '#/components/schemas/uri'
          description: A URI reference that identifies the problem type.
        title:
          type: string
          maxLength: 120
          description: >-
            A short, human-readable summary of the problem type. The title is
            usually the same for all

            problems with the same `type`.
        occurredAt:
          type: string
          format: date-time
          description: >-
            The date-time when this problem occurred, in [RFC
            3339](https://tools.ietf.org/html/rfc3339)

            date-time `YYYY-MM-DDThh:mm:ss.sssZ` format, UTC. This is derived
            and immutable.
        detail:
          type: string
          maxLength: 256
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem.
        id:
          allOf:
            - $ref: '#/components/schemas/resourceId'
          description: >-
            The unique identifier for this problem. This is an immutable opaque
            string.
        status:
          allOf:
            - $ref: '#/components/schemas/statusCode'
          description: >-
            The [HTTP status
            code](https://datatracker.ietf.org/doc/html/rfc7231#section-6)for
            this

            occurrence of the problem.
        instance:
          allOf:
            - $ref: '#/components/schemas/uri'
          maxLength: 2048
          description: >-
            A URI reference that identifies the specific occurrence of the
            problem. This is the URI of an

            API resource that the problem is related to, with a unique error
            correlation ID URI fragment.
        attributes:
          type: object
          additionalProperties: {}
          description: >-
            Additional optional attributes related to the problem. This data
            conforms to the schema

            associated with the error type.
      description: >-
        Standard problem or error response, as per

        [RFC 9457
        application/problem+json](https://tools.ietf.org/html/rfc9457).
    money:
      type: string
      pattern: ^-?(0|[1-9][0-9]*)\.[0-9][0-9]$
      format: decimal
      description: >-
        A monetary amount in the lowest denomination for the given currency.

        The numeric value is represented as a string so that it can be exact
        with no

        loss of precision. Values may be positive or negative.
      example: '456.78'
    baseFinancialAccountReference:
      type: object
      required:
        - routingNumber
        - type
        - id
        - maskedAccountNumber
        - eligiblePayoutMethods
      properties:
        financialInstitutionName:
          type: string
          description: >-
            The name of the financial institution for this account, if
            available.
        routingNumber:
          type: string
          description: >-
            The routing and transit number associated with the financial
            account.
        type:
          allOf:
            - $ref: '#/components/schemas/financialAccountType'
          description: The type of financial account.
        id:
          allOf:
            - $ref: '#/components/schemas/resourceId'
          description: The unique identifier for the financial account reference.
        maskedAccountNumber:
          type: string
          description: >-
            The masked financial account number. The last 4 digits of the
            account are unmasked.
        eligiblePayoutMethods:
          type: array
          items:
            $ref: '#/components/schemas/payoutMethod'
          description: Supported payout methods for this financial account.
      description: >-
        A read-only reference to a financial account without the isDefault
        property.
    businessCard:
      type: object
      required:
        - id
        - maskedPersonalAccountNumber
        - network
        - fundingType
        - expirationMonth
        - expirationYear
        - isDefault
        - eligiblePayoutMethods
      properties:
        id:
          allOf:
            - $ref: '#/components/schemas/resourceId'
          description: The unique identifier for the business card.
        maskedPersonalAccountNumber:
          type: string
          minLength: 5
          maxLength: 5
          pattern: ^\*\d{4}$
          description: >-
            A masked card personal account number: an asterisk `*` followed by
            the last

            four digits of the full Personal Account Number (PAN).
        network:
          $ref: '#/components/schemas/cardNetwork'
        fundingType:
          $ref: '#/components/schemas/cardFundingType'
        expirationMonth:
          $ref: '#/components/schemas/cardExpirationMonth'
        expirationYear:
          $ref: '#/components/schemas/cardExpirationYear'
        tokenizationMethod:
          $ref: '#/components/schemas/cardTokenizationMethod'
        isDefault:
          type: boolean
          description: Indicates whether this card is the default payout card.
        eligiblePayoutMethods:
          type: array
          items:
            $ref: '#/components/schemas/payoutMethod'
          description: Supported payout methods for this financial account.
      description: Representation of cards for business accounts on Guile.
    clientFailureOutcome:
      type: string
      enum:
        - notApplied
        - unknown
      description: The known outcome of a failed client request.
    clientRetryDirective:
      type: string
      enum:
        - doNotRetry
        - retrySameRequest
        - retrySameRequestAfterDelay
      description: The safe retry action for a failed client request.
    clientSessionAction:
      type: string
      enum:
        - refresh
        - signIn
      description: The session action required before a failed request can continue.
    rateLimit:
      type: object
      required:
        - limit
        - remaining
        - resetsAt
      properties:
        limit:
          type: integer
          format: uint64
          description: The maximum number of requests allowed in the active window.
        remaining:
          type: integer
          format: uint64
          description: The number of requests remaining in the active window.
        resetsAt:
          type: string
          format: date-time
          description: >-
            The date-time when the active window resets, in [RFC
            3339](https://tools.ietf.org/html/rfc3339) date-time
            `YYYY-MM-DDThh:mm:ss.sssZ` format, UTC.
      description: The rate limit state for the request.
    financialAccountType:
      type: string
      enum:
        - checking
        - savings
        - moneyMarket
        - cashManagement
        - other
      description: The account type for depository financial accounts.
    cardNetwork:
      type: string
      enum:
        - visa
        - discover
        - mastercard
        - amex
        - other
      description: The card payment processing network.
    cardFundingType:
      type: string
      enum:
        - debit
        - credit
        - prepaid
        - other
      description: Indicates how a card is funded.
    cardExpirationMonth:
      type: string
      minLength: 2
      maxLength: 2
      pattern: ^(0[1-9]|1[012])$
      description: The month portion of the card's MM/YYYY expiration in MM format.
    cardExpirationYear:
      type: string
      minLength: 4
      maxLength: 4
      pattern: ^\d{4}$
      description: >-
        The year portion of the year of the card's MM/YYYY expiration, in YYYY
        format.
    cardTokenizationMethod:
      type: string
      enum:
        - androidPay
        - applePay
        - masterPass
        - visaCheckout
      description: >-
        For digital cards with dynamic tokenization, this is the tokenization
        method.
  securitySchemes:
    BearerAuth:
      type: http
      scheme: Bearer

````